Bug 1017886 - Improve the creation and viewing of projects
Improve the creation and viewing of projects
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity high
: ER5
: 6.0.0
Assigned To: Jan
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 12:59 EDT by Mark Proctor
Modified: 2014-08-06 16:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new project editor layout (38.47 KB, image/jpeg)
2013-10-23 07:38 EDT, Jan
no flags Details

  None (edit)
Description Mark Proctor 2013-10-10 12:59:43 EDT
The project wizard and editor can be improved.

1. expose name and description from the pom.xml - make these more prominent in all forms and lists, than group and artefact ids. This includes updating the maven repo browser to show those.

2. Add helper text explaining what these are, why they are needed, and potentially an example for each.

Future Ideas
For future releases we can look into centralised admin for group-ids, as these are typically pre-agreed and controlled by operations anyway. This way group-id is either fixed and global for the entire company, or a drop down provides available group-ids for selection.

Also a project request workflow can be created, that has only non-technical fields. This will then allow someone in operations or development to create the project for them. Again some companies would prefer this anyway, as part of their software creation governance process.
Comment 3 Pedro Zapata 2013-10-11 04:44:56 EDT
As discussed with Mark, we can take care of this issue
Comment 4 Pedro Zapata 2013-10-11 05:05:24 EDT
The following structure is suggested:
------------------

Project settings: 'General settings' (instead of GAV)

Name :       [                                                 ]

Description: [                                                 ]

Deployment information:

The following values are required to build and deploy the project in a Maven repository, and reference any assets created.

Group ID (*):    [               ] - Example: com.myorganization.myprojects (+Info)
Artifact ID (*): [               ] - Example: MyProject (+Info)
Version ID (*):  [               ] - Example: 1.0 (+Info)

-----------------

In the future, it would be also possible to setup default values for group id (may be via a system property)  and change the Group ID input box to a select box. 

A possible short term improvement could be query this value from a system property ('org.kie.guvnor.defaults.groupid') and use it as default value. That would improve a bit the situation.
Comment 5 Jan 2013-10-22 06:34:59 EDT
Name and Description have been added to the project setting screen (formerly know as GAV screen). Visual improvementes have been implemented to this screen as per comment #4

commits implied:

Guvnor:
- master: http://github.com/droolsjbpm/guvnor/commit/ddff4a08c
- 6.0.x: http://github.com/droolsjbpm/guvnor/commit/727c19ead

Kie-wb-common:
- master: http://github.com/droolsjbpm/kie-wb-common/commit/cb388fc74
- 6.0.x: http://github.com/droolsjbpm/kie-wb-common/commit/9f91bc5a7
Comment 6 Jan 2013-10-23 07:02:09 EDT
Further related to this issue are the following commits, that apply the changes mentioned in comment #5 also to the new project wizard.

Kie-wb-common:
- master: http://github.com/droolsjbpm/kie-wb-common/commit/5cc16fd60
- 6.0.x: http://github.com/droolsjbpm/kie-wb-common/commit/aa81553d9
Comment 7 Jan 2013-10-23 07:38:22 EDT
Created attachment 815341 [details]
new project editor layout

Note You need to log in before you can comment on or make changes to this bug.